"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  checkNodeVersion: () => checkNodeVersion,
  checkUpdate: () => checkUpdate,
  gs: () => gs
});
module.exports = __toCommonJS(src_exports);
var import_semver = __toESM(require("semver"));
var import_picocolors = __toESM(require("picocolors"));
var import_update_notifier = __toESM(require("update-notifier"));
var import_gradient_string = __toESM(require("gradient-string"));
const checkNodeVersion = (wanted, name) => {
  if (!import_semver.default.satisfies(process.version, wanted, { includePrerelease: true })) {
    console.log(
      import_picocolors.default.red(
        `You are using Node ${process.version} , but this version of ${name} requires Node ${wanted}.
           Please upgrade your Node version.`
      )
    );
    process.exit(1);
  }
};
const checkUpdate = (pkg) => {
  (0, import_update_notifier.default)({
    pkg,
    shouldNotifyInNpmScript: true
  }).notify({
    message: "Update available " + import_picocolors.default.dim("{currentVersion}") + import_picocolors.default.reset(" \u2192 ") + import_picocolors.default.green("{latestVersion}") + " \nRun " + import_picocolors.default.cyan(`pnpm update {packageName}@{latestVersion}`) + " to update",
    defer: false
  });
};
const gs = (str, options = [
  { color: "#42d392", pos: 0 },
  { color: "#42d392", pos: 0.1 },
  { color: "#647eff", pos: 1 }
]) => {
  if (process.stdout.isTTY && process.stdout.getColorDepth() > 8) {
    return (0, import_gradient_string.default)(options)(str);
  } else {
    return str;
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  checkNodeVersion,
  checkUpdate,
  gs
});
